Sign up ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have two branches: 1.0, and IE-Fixes. I have no uncommitted changes in IE-Fixes or 1.0. Whenever I try to merge IE-fixes into 1.0, I keep getting told that it is up to date, but I know by looking at them in a browser that the two branches are different.

How can I merge the branches when Git is saying they're the same and won't do so?

share|improve this question
From which branch are you starting the merge? – JoshRagem Nov 28 '12 at 14:21
Sorry - trying to merge IE-fixes into 1.0 – ibilic Nov 28 '12 at 14:44
So you need to make sure you have both branches up to date, the go to 1.0 and merge IE-fixes. – JoshRagem Nov 28 '12 at 21:58

Your Answer


By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.